style.css 4.9 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381
  1. *,
  2. *:after,
  3. *:before{
  4. box-sizing: inherit;
  5. }
  6. html{
  7. box-sizing: border-box;
  8. width: 100%;
  9. height: 100%;
  10. font-weight: 300;
  11. padding:0;
  12. border:0;
  13. margin:0;
  14. }
  15. body{
  16. color: #eeeeee;
  17. background: #323232;
  18. font-family: Verdana, sans-serif;
  19. font-size: 16px;
  20. line-height: 140%;
  21. padding:0;
  22. border:0;
  23. margin:0;
  24. }
  25. /* ***** lists ***** */
  26. /* ***** Gadgets ***** */
  27. input[type=text]{
  28. color: #eeeeee;
  29. background-color: #4c4c4c;
  30. border: 1px solid #4c4c4c;
  31. border-radius: 3px;
  32. font-family: Arial, Helvetica, sans-serif;
  33. font-size: 16px;
  34. padding: 4px;
  35. margin: 4px;
  36. }
  37. /* ***** code ***** */
  38. code{
  39. font-family: "Lucida Console", Monaco, monospace;
  40. font-weight: 400;
  41. white-space: nowrap;
  42. }
  43. pre{
  44. font-family: "Lucida Console", Monaco, monospace;
  45. overflow: auto;
  46. white-space: pre;
  47. background-color: #4c4c4c;
  48. padding: 4px 8px;
  49. }
  50. pre>code{
  51. white-space: pre;
  52. font-weight: 300;
  53. }
  54. /* ***** link ***** */
  55. a{
  56. color: #eeee00;
  57. text-decoration: none;
  58. cursor: pointer;
  59. }
  60. a:hover{
  61. color: #00ee00;
  62. }
  63. a.nostyle{
  64. color: inherit;
  65. text-decoration: inherit;
  66. cursor: pointer;
  67. }
  68. /* ***** table ***** */
  69. table{
  70. border-spacing: 0;
  71. width: 100%;
  72. margin: 16px 0;
  73. }
  74. table.modman{
  75. font-size: 90%;
  76. table-layout: auto;
  77. margin: 0;
  78. }
  79. th,td{
  80. border-bottom: 1px solid #4c4c4c;
  81. text-align: left;
  82. padding: 4px 0;
  83. min-width: 200px;
  84. }
  85. th{
  86. color: #44ccff;
  87. font-weight: 400;
  88. }
  89. th:first-child{
  90. width: 200px;
  91. }
  92. td:first-child{
  93. width: 200px;
  94. }
  95. th.modman{
  96. padding: 0 8px;
  97. }
  98. td.modman{
  99. padding: 0 8px;
  100. }
  101. /* ***** typography ***** */
  102. p{
  103. margin-top: 16px;
  104. }
  105. h1,h2,h3,h4,h5,h6{
  106. color: #44eeff;
  107. font-weight: 400;
  108. }
  109. h1{
  110. font-size: 28px;
  111. margin: 28px 0;
  112. }
  113. h2{
  114. font-size: 24px;
  115. margin: 24px 0;
  116. }
  117. h3{
  118. font-size: 22px;
  119. margin: 22px 0;
  120. }
  121. h4{
  122. font-size: 20px;
  123. margin: 20px 0;
  124. }
  125. h5{
  126. font-size: 18px;
  127. margin: 18px 0;
  128. }
  129. h6{
  130. font-size: 16px;
  131. margin: 16px 0;
  132. }
  133. /* ***** wordpress css ***** */
  134. div.comments-area{
  135. background-color: #4c4c4c;
  136. border: 1px solid #4c4c4c;
  137. border-radius:3px;
  138. padding:8px;
  139. }
  140. /* ***** mx2-theme layout ***** */
  141. body.page_body{
  142. position:relative;;
  143. width:100%;
  144. height:100%;
  145. }
  146. /* parent: page_body */
  147. div.page_header{
  148. position:fixed;
  149. width:100%;
  150. top:0;
  151. height:72px;
  152. padding-left:12px;
  153. padding-right:16px;
  154. line-height:72px;
  155. text-align:center;
  156. background:#181818;
  157. border-bottom:1px solid #4c4c4c;
  158. z-index: 5;
  159. }
  160. .header_logo {
  161. height: 72px;
  162. }
  163. .header_logo a {
  164. display: block;
  165. height: 100%;
  166. }
  167. /* parent: page_header */
  168. div.header_title_strip{
  169. display:inline;
  170. float:left;
  171. }
  172. /* parent: page_title_strip */
  173. div.header_logo{
  174. float:left;
  175. }
  176. /* parent: page_title_strip */
  177. div.header_text{
  178. float: left;
  179. font-size: 21px;
  180. letter-spacing: -0.04em;
  181. }
  182. /* parent: page_header */
  183. div.header_button_strip{
  184. display:inline;
  185. float:right
  186. top:0;
  187. bottom:0;
  188. }
  189. /* parent: header_button_strip */
  190. a.header_button{
  191. color: #ffffff;
  192. background-color: #4c4c4c;
  193. border: 1px solid #4c4c4c;
  194. border-radius: 3px;
  195. padding: 4px 7px;
  196. font-size: 11px;
  197. font-weight: 400;
  198. cursor: pointer;
  199. text-align: center;
  200. text-decoration: none;
  201. text-transform: uppercase;
  202. white-space: nowrap;
  203. letter-spacing: 0.05em;
  204. }
  205. a.header_button:hover{
  206. color: #ffff00;
  207. background-color: #888888;
  208. border-color: #888888;
  209. outline: 0;
  210. }
  211. /* parent: page_header */
  212. div.header_donate_strip{
  213. display:inline;
  214. float:right;
  215. }
  216. /* parent: header_donate_strip */
  217. form.header_paypal{
  218. display:inline;
  219. }
  220. /* parent: header_donate_strip */
  221. a.header_patreon{
  222. }
  223. a.header_patreon:hover{
  224. }
  225. /* parent: page_body */
  226. div.page_content{
  227. position:relative;
  228. top: 0;
  229. height: 100%;
  230. width: 100%;
  231. margin-top: 72px;
  232. }
  233. /* parent: page_content */
  234. div.post_content{
  235. position: static;
  236. padding:8px 24px;
  237. max-width: 840px;
  238. margin: 0 auto;
  239. clear: left;
  240. }
  241. /* parent: page_content */
  242. div.modules_content{
  243. width: 100%;
  244. height: 100%;
  245. height: calc(100% - 72px);
  246. position: relative;
  247. }
  248. /* parent: modules_content */
  249. div.modules_nav_wrapper{
  250. position:absolute;
  251. left:0;
  252. bottom: 0;
  253. width:299px;
  254. height:100%;
  255. padding:16px 12px;
  256. border-right:1px solid #8888;
  257. overflow:auto;
  258. -webkit-overflow-scrolling:touch;
  259. }
  260. /* parent: modules_nav_wrapper */
  261. div.modules_nav_tree{
  262. border:0;
  263. width:100%;
  264. }
  265. /* parent: modules_content */
  266. div.modules_docs_wrapper{
  267. position:absolute;
  268. left:300px;
  269. right:0;
  270. height:100%;
  271. padding:0;
  272. border:0;
  273. margin:0;
  274. overflow:auto;
  275. -webkit-overflow-scrolling:touch;
  276. }
  277. /* parent: modules_docs_wrapper */
  278. iframe.modules_docs_iframe{
  279. display:block;
  280. width:100%;
  281. height:100%;
  282. padding:0;
  283. border:0;
  284. margin:0;
  285. }
  286. iframe.header{
  287. display:block;
  288. width:100%;
  289. height:72px;
  290. padding:0;
  291. border:0;
  292. margin:0;
  293. }
  294. /* parent: modules_docs_iframe */
  295. body.docs_body{
  296. width:100%;
  297. padding:12px 24px;
  298. }
  299. /* parent: docs_body */
  300. div.docs_content{
  301. }
  302. /* page styles */
  303. body.page-modules-reference {
  304. overflow: hidden;
  305. width:100%;
  306. height:100%;
  307. }
  308. body.page-language-reference {
  309. overflow: hidden;
  310. width:100%;
  311. height:100%;
  312. }
  313. body.forums.post_content {
  314. max-width: 1100px;
  315. }
  316. div.toc{
  317. display:none;
  318. }